Mint KDE 6 CE... Plasmoids

Forums for the KDE Edition
Forum rules
Before you post please read this

Mint KDE 6 CE... Plasmoids

Postby hoppy785 on Tue Mar 24, 2009 1:13 am

Fairly newbish here... i was successful at install plasmoids on kubuntu, but need help on mint please.


Need help installing plasmoids with cmake... when i try to run cmake i get error

CMake Error at /usr/share/cmake-2.6/Modules/FindKDE4.cmake:72 (MESSAGE):
ERROR: cmake/modules/FindKDE4Internal.cmake not found in
/home/adam/.kde/share/apps;/usr/share/mintkde-default-settings/kde4-profile/default/share/apps;/usr/share/kde4/apps

I also think i need kdelibs5-dev but i get this error when trying to install

The following packages have unmet dependencies:
kdelibs5-dev: Depends: cmake (>= 2.6.2) but 2.6.0-4ubuntu2 is to be installed
Depends: libstreamanalyzer-dev (>= 0.5.7) but it is not going to be installed
E: Broken packages


and i get similiar messages when trying to get libstreamanalyzer.dev
hoppy785
Level 1
Level 1
 
Posts: 26
Joined: Tue Mar 24, 2009 1:06 am

Linux Mint is funded by ads and donations.
 

Re: Mint KDE 6 CE... Plasmoids

Postby Boo on Tue Mar 24, 2009 5:33 am

to get the best kde environment enable the ppa repos. that will give you the latest KDE updates. ie 4.2.1.
It should also fix the broken packages and dependency problems.

Boo
Image
Now where was i going? Oh yes, crazy!
User avatar
Boo
Level 8
Level 8
 
Posts: 2364
Joined: Mon Mar 26, 2007 7:48 am

Re: Mint KDE 6 CE... Plasmoids

Postby hoppy785 on Tue Mar 24, 2009 9:28 am

I'm updated to 4.2.1 and still having the problem... Not sure why... Not sure what's going on... Should I be able to cmake install plasmoids right off the bat in mint 6 kde? Maybe I'm getting the packages I need in the wrong order, I dunno... I'm new to this. Thanks for trying to help me. Maybe you can take me through a list of things I need to install plasmoids from tar... Dunno why I could do this in kubuntu and not here... Love the distro though... Switching from kubuntu just need this one problem solved
hoppy785
Level 1
Level 1
 
Posts: 26
Joined: Tue Mar 24, 2009 1:06 am

Re: Mint KDE 6 CE... Plasmoids

Postby hoppy785 on Tue Mar 24, 2009 10:05 pm

so i think i figured out that the packages i have are too new and the dependencies are old packages but how can i go back without breaking the system... someone who was successful at adding new plasmoids please help me...
hoppy785
Level 1
Level 1
 
Posts: 26
Joined: Tue Mar 24, 2009 1:06 am

Re: Mint KDE 6 CE... Plasmoids

Postby Boo on Tue Mar 24, 2009 10:19 pm

If it worked in kubuntu it should work in mint KDE.
sounds like cmake did not install properly.
or if kubuntu built the cmake deb it might have assumed that all kubuntu configs would be there.
ie. /usr/share/mintkde-default-settings/kde4-profile/default/share/apps is mints default settings but kubuntu has
/usr/share/kubuntu-default-settings/*
so since the kubuntu default settings dir was not there the insall of cmake partially failed.

Boo
Image
Now where was i going? Oh yes, crazy!
User avatar
Boo
Level 8
Level 8
 
Posts: 2364
Joined: Mon Mar 26, 2007 7:48 am

Re: Mint KDE 6 CE... Plasmoids

Postby Boo on Tue Mar 24, 2009 10:22 pm

I just add plasmoids via synaptic.
or go to kde-look.org and use the deb supplied.
when you add plasmoids you can choose to install from local or kde-look.org (but not all plasmoids are listed on the site this way).

Boo
Image
Now where was i going? Oh yes, crazy!
User avatar
Boo
Level 8
Level 8
 
Posts: 2364
Joined: Mon Mar 26, 2007 7:48 am

Re: Mint KDE 6 CE... Plasmoids

Postby hoppy785 on Wed Mar 25, 2009 12:30 am

basically i want YAWP plasmoid installed and still cant do it, oh well... ill keep googling away at the problem
hoppy785
Level 1
Level 1
 
Posts: 26
Joined: Tue Mar 24, 2009 1:06 am

Re: Mint KDE 6 CE... Plasmoids

Postby big_dog1968 on Wed Mar 25, 2009 3:12 am

hoppy785 wrote:basically i want YAWP plasmoid installed and still cant do it, oh well... ill keep googling away at the problem

Yeah i wanted that one too! There are a bunch of new ones added through the ppa repo, but sadly YAWP is not one of them. I ran into all kinds of CMAKE errors as well and never could make it work.

I have no knowledge of CMAKE or of compiling in general. What would benefit me would be "a complete idiot's guide to compiling plasmoids". This guide would have to assume I am a complete noob, brand new on earth from another planet that is just entering the stone age. Then maybe I could learn to compile. :lol:
User avatar
big_dog1968
Level 4
Level 4
 
Posts: 234
Joined: Tue Feb 12, 2008 1:05 am
Location: Orlando, FL

Re: Mint KDE 6 CE... Plasmoids

Postby hoppy785 on Wed Mar 25, 2009 8:37 am

Ha yes I think that guide would benefit many...I know how to install by compiling, I'm just having tons of dependency issues when getting the Libs I need to do it... What's the best ppa you have come across so far for plasmoids?
hoppy785
Level 1
Level 1
 
Posts: 26
Joined: Tue Mar 24, 2009 1:06 am

Re: Mint KDE 6 CE... Plasmoids

Postby big_dog1968 on Sat Mar 28, 2009 4:30 am

What boo said...enable the PPA repos. They are already there, you just need to enable them. When the updates are finished, you will have a bunch of new Plasmoids...but not YAWP.
User avatar
big_dog1968
Level 4
Level 4
 
Posts: 234
Joined: Tue Feb 12, 2008 1:05 am
Location: Orlando, FL

Re: Mint KDE 6 CE... Plasmoids

Postby hoppy785 on Mon Mar 30, 2009 12:04 am

hey thanks for the help guys... i enabled one of the other repos that came as defualt and it allowed me to download the upgraded version of the libs i needed... honestly can say which repo did it, as i dont remember now... if anyone needs help with it just ask and ill check my list... i can now successfully compile pretty much any plasmoid i want from kde-look, so i have my yawp, stasks, and panelspacer (wonderful by the way).... im pumped and love KDE Mint... i suggest to anyone looking to create a dock on the bottom of your screen to get stasks and panelspacer to break it up, and add all your fav apps, works great. :D
hoppy785
Level 1
Level 1
 
Posts: 26
Joined: Tue Mar 24, 2009 1:06 am

Re: Mint KDE 6 CE... Plasmoids

Postby cspack on Mon Apr 06, 2009 4:09 pm

I'm having the same problem exactly. Can you tell me which repo you enabled to get this working? I have enabled the ppa repos but I still can't install kdelibs5-dev.

$ sudo apt-get install kdelibs5-dev

The following packages have unmet dependencies:
kdelibs5-dev: Depends: libstreamanalyzer-dev (>= 0.5.7) but it is not going to be installed
E: Broken packages

$ sudo apt-get install libstreamanalyzer-dev

The following packages have unmet dependencies:
libstreamanalyzer-dev: Depends: libstreamanalyzer0 (= 0.5.11-1ubuntu2) but 0.6.3-1ubuntu1~intrepid1~ppa1 is to be installed
Depends: libstreams-dev (= 0.5.11-1ubuntu2) but it is not going to be installed
E: Broken package

Any help would be appreciated. Thanks.
cspack
Level 1
Level 1
 
Posts: 5
Joined: Mon Apr 06, 2009 3:59 pm

Re: Mint KDE 6 CE... Plasmoids

Postby cspack on Mon Apr 06, 2009 4:56 pm

Well I went ahead and enabled the intrepid backports repo and was then able to install kdelibs5-dev. Now I can compile kde apps. Thanks for the hints in this thread!
cspack
Level 1
Level 1
 
Posts: 5
Joined: Mon Apr 06, 2009 3:59 pm

Re: Mint KDE 6 CE... Plasmoids

Postby hoppy785 on Mon Apr 06, 2009 10:41 pm

hey sorry i want able to answer your question fast enough... but it seems you got it figured out, the intrepid backports was indeed the one to enable for the fix... if your having any other problems compiling let me know, i've managed to fix any problem so far during compiling issues with cmake... being able to compile plasmoids from source really opens up your options for different plasmoids.
hoppy785
Level 1
Level 1
 
Posts: 26
Joined: Tue Mar 24, 2009 1:06 am

Linux Mint is funded by ads and donations.
 

Return to KDE

Who is online

Users browsing this forum: No registered users and 4 guests